<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>

        div {
            width: 50%;
            float: left;
        }

        .grey {
            background-color: grey;
            height: 200px;
        }

        .red {
            background-color: red;
            height: 100px;
        }

        .blue {
            background-color: blue;
            height: 100px;
        }
        @media (min-width: 1024px) {

            div {
                width: 33%;
            }
            .grey {
                float: right;
                width: 34%;
                height: 100px;
            }
        }
    </style>
</head>
<body>

<div class="grey"></div> 
<div class="blue"></div>
<div class="red"></div>
    
</body>
</html>